
//PRELOAD DE IMG
this.addEventListener("DOMContentLoaded", preloadImages, true);

var loadedImages = 0;
//ACA HAY QUE CARGAR LAS IMAGENES QUE SE USEN
var imageArray = new Array(
  'images/bg_red.jpg',
  'images/bg_blue.jpg',
  'images/copy.png',
  'images/cta.png',
  'images/logo.png'
);

function preloadImages(e) {
  for (var i = 0; i < imageArray.length; i++) {
    var tempImage = new Image();
    tempImage.addEventListener("load", trackProgress, true);
    tempImage.src = imageArray[i];
  }
}

function trackProgress() {
  loadedImages++;
  if (loadedImages == imageArray.length) {
    imagesLoaded();
  }
}

function imagesLoaded() {

  document.getElementById('loader-container').style.display = 'none';
  document.getElementById('banner_content').style.display = 'block';


  initHandlers();
  initAnimations();

}

/* PARA DETECTAR SI ES IOs */
var is_Mac = navigator.platform.toUpperCase().indexOf('MAC') >= 0;
var iOS = /iPad|iPhone|iPod/.test(navigator.userAgent) && !window.MSStream;

if (is_Mac == true || iOS == true) {

}



/* PARA DETECTAR SI ES IE */
if (navigator.userAgent.indexOf('MSIE') !== -1
  || navigator.appVersion.indexOf('Trident/') > 0) {

  alert("IE");

}


// VARIABLES GLOBALES
let finished = false;

function initAnimations() {
  const tlLights = new TimelineMax({ repeat: -1, paused: true });
  tlLights
    .to('.bg_red', 0.5, { opacity: 1, ease: Power2.easeInOut }, 0)
    .to('.bg_blue', 0.5, { opacity: 0, ease: Power2.easeInOut }, '-=0.25')
    .to('.bg_blue', 0.5, { opacity: 1, ease: Power2.easeInOut }, '+=0.35')
    .to('.bg_red', 0.5, { opacity: 0, ease: Power2.easeInOut }, '-=0.25')

  const tl = new TimelineMax();
  tl
    .add(() => {
      tlLights.play();
    }, '+=0.25')
    .from('.copy', 1, { opacity: 0, scale: 4, transformOrigin: '66% 50%', ease: Back.easeOut }, '+=0.25')
    .from(['.logo', '.cta'], 0.75, { opacity: 0, ease: Power2.easeOut }, '+=0.75')
    .add(() => {
      finished = true;
    })

}

//HANDLERS
function initHandlers() {

  var clicktag = document.getElementById('clickTag');
  clicktag.addEventListener('mouseup', function (event) {
    window.open(window.clickTag, '_blank');
  });
  clicktag.addEventListener('mouseover', function () {
    if (finished) TweenMax.to('.cta', .25, { opacity: 0.8 });
  });
  clicktag.addEventListener('mouseout', function () {
    if (finished) TweenMax.to('.cta', .25, { opacity: 1 });
  });
}

